Loading...
Searching...
No Matches
PidginMiniDialog Struct Reference

A widget resembling a diminutive dialog box, designed to be embedded in the PidginBuddyList. More...

`#include <minidialog.h>`

## Data Fields

GtkVBox | parent
GtkBox * | contents
| A GtkVBox into which extra widgets for the dialog should be packed.
gpointer | priv

## Detailed Description

A widget resembling a diminutive dialog box, designed to be embedded in the PidginBuddyList.

Mini-dialogs have titles, optional descriptions, and a row of buttons at the bottom; above the buttons is a GtkHBox into which you can pack any random widgets you want to add to the dialog. When any of the dialog's buttons is clicked, the dialog will be destroyed.

Dialogs have the following GObject properties:

"title" (char *)
  A string to be displayed as the dialog's title.
"description" (char *)
  A string to be displayed as the dialog's description. If this is `NULL`, the description widget will be hidden.
"icon-name" (char *)
  The Gtk stock id of an icon for the dialog, or `NULL` for no icon.
  See also
    pidginstock.h
"custom-icon" (GdkPixbuf *)
  The custom icon to use instead of a stock one (overrides the "icon-name" property).

Definition at line 80 of file minidialog.h.

## Field Documentation

## contents

GtkBox* PidginMiniDialog::contents

A GtkVBox into which extra widgets for the dialog should be packed.

Definition at line 85 of file minidialog.h.

## parent

GtkVBox PidginMiniDialog::parent

Definition at line 81 of file minidialog.h.

## priv

gpointer PidginMiniDialog::priv

Definition at line 87 of file minidialog.h.

The documentation for this struct was generated from the following file:

- minidialog.h